Bug 481508 - Review Request: pipviewer - Visualizer for multiple alignments of genomic sequences
Review Request: pipviewer - Visualizer for multiple alignments of genomic seq...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On: 481483 481509
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-25 15:30 EST by Fabian Affolter
Modified: 2009-03-09 18:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.3.9-5.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 18:55:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-01-25 15:30:26 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/pipviewer.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/pipviewer-0.3.9-1.fc10.src.rpm

Project URL: http://ygingras.net/bioinfo

Description:
Pipviewer is a visualizer for multiple alignements of genomic
sequences.  It highlights conserved regions and allows basic
anotations.  Its main goal is to find conserved probes for the
construction of gene order data sets.  Selected regions marked as
'probes' can be expoxted to fasta format.  It can also retreive gene
annotations form the NBCI and display this information along the
alignement.

Pipviewer is not an aligner.  You must compute the alignment with
another tool like Clustal or Multi PIP Maker.

Koji scratch build:
depends on vhybridize

rpmlint output:
[fab@laptop24 noarch]$ rpmlint pipviewer-0.3.9-1.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint pipviewer-0.3.9-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Marcela Mašláňová 2009-01-27 03:26:18 EST
OK source files match upstream: 6da4d203440470d2709f3894e648b4aa
OK package meets naming and versioning guidelines.
FAIL specfile is properly named, is cleanly written and uses macros 
consistently.
- RPM_BUILD_ROOT vs. buildroot - use only one of these macros
OK dist tag is present.
OK build root is correct.
FAIL license field matches the actual license.
- You can find GPLv3+ in COPYING and PKG-INFO
OK license is open source-compatible. License text not included upstream.
OK latest version is being packaged.
OK BuildRequires are proper.
OK %clean is present.
OK package builds in mock (Rawhide/x86_64).
OK debuginfo package isn't need.
OK rpmlint is silent.
OK final provides and requires look sane.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK no duplicates in %files.
OK file permissions are appropriate.
OK no scriptlets present.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.
OK no libtool .la droppings.
Comment 2 Fabian Affolter 2009-01-27 15:51:43 EST
Marcela, thanks for the review.

(In reply to comment #1)
> FAIL specfile is properly named, is cleanly written and uses macros 
> consistently.
> - RPM_BUILD_ROOT vs. buildroot - use only one of these macros

a stupid copy-and-paste-error, fixed

> FAIL license field matches the actual license.
> - You can find GPLv3+ in COPYING and PKG-INFO

fixed

Updated files:

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/pipviewer.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/pipviewer-0.3.9-2.fc10.src.rpm
Comment 3 Marcela Mašláňová 2009-01-28 03:48:05 EST
ACCEPTED
Comment 4 Fabian Affolter 2009-01-28 08:13:13 EST
New Package CVS Request
=======================
Package Name: pipviewer
Short Description: Visualizer for multiple alignments of genomic sequences
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 5 Kevin Fenzi 2009-01-28 19:19:29 EST
cvs done.
Comment 6 Fedora Update System 2009-02-06 00:19:32 EST
pipviewer-0.3.9-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update pipviewer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1394
Comment 7 Fedora Update System 2009-02-06 00:22:49 EST
pipviewer-0.3.9-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pipviewer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1405
Comment 8 Alex Lancaster 2009-02-08 01:56:48 EST
There are serious problems with the Requires.  Although vhybridize is found at build-time as you have:

BuildRequires: vhybridize

this is not sufficient as the autodeps searcher in RPM does not search the resulting package and automatically add the dependent packages (unlike for Perl) and all dependent Python packages must be added *explicitly* in the .spec file, otherwise it fails on install:

$ pipviewer 
Traceback (most recent call last):
  File "/usr/bin/pipviewer", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 2562, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 626, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 524, in resolve
    raise DistributionNotFound(req)  # XXX put more info here
pkg_resources.DistributionNotFound: vhybridize>=0.5.9

Ditto for  PyQt pygtk2 PyOpenGL, and you need the runtime versions of these (add any minimum version Requires as well):

Requires: PyQt, pygtk, PyOpenGL >= 2.0, vhybridize >= 0.5.9

Also it seems that PyOpenGL isn't sufficient to get this to work, as I have this installed

$ rpm -q PyOpenGL
PyOpenGL-3.0.0-0.9.b8.fc10.noarch

but it still fails at runtime.

$ pipviewer 
Traceback (most recent call last):
  File "/usr/bin/pipviewer", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 2562, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 626, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 524, in resolve
    raise DistributionNotFound(req)  # XXX put more info here
pkg_resources.DistributionNotFound: OpenGL>=2.0
Comment 9 Alex Lancaster 2009-02-08 02:06:32 EST
The last OpenGL problem appears to be a problem with the information in the egg file:

/usr/lib/python2.5/site-packages/pipviewer-0.3.9-py2.5.egg-info/requires.txt

it contains

OpenGL>=2.0
vhybridize>=0.5.9

but the package is called PyOpenGL not OpenGL, if you change OpenGL -> PyOpenGL it starts.
Comment 10 Alex Lancaster 2009-02-08 02:07:37 EST
Note to reviewer: you should ensure you test the package at run-time on at least one release before approving a package.
Comment 11 Alex Lancaster 2009-02-08 02:11:22 EST
Also the summary has multiple typos:

Pipviewer is a visualizer for multiple 
alignements 
^^^ alignments

of genomic sequences.  It highlights conserved regions and allows basic
anotations.
^^^ annotations

Its main goal is to find conserved probes for the
construction of gene order data sets.  Selected regions marked as
'probes' can be expoxted to fasta format.  It can also 
retreive 
^^^ retrieve

gene annotations 
form 
^^^ from

the NBCI and display this information along the
alignement.
^^^ alignment
Comment 12 Fabian Affolter 2009-02-16 18:18:07 EST
Thanks for testing this application.

(In reply to comment #9)
> The last OpenGL problem appears to be a problem with the information in the egg
> file:
> 
> /usr/lib/python2.5/site-packages/pipviewer-0.3.9-py2.5.egg-info/requires.txt
> 
> it contains
> 
> OpenGL>=2.0
> vhybridize>=0.5.9
> 
> but the package is called PyOpenGL not OpenGL, if you change OpenGL -> PyOpenGL
> it starts.

Patch0 should fix this

(In reply to comment #11)
> Also the summary has multiple typos:

thanks, fixed

Updated files
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/pipviewer.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/pipviewer-0.3.9-3.fc10.src.rpm

It works from the command line but unfortunately it still does not work from the menu.
Comment 13 Fedora Update System 2009-02-27 18:24:41 EST
pipviewer-0.3.9-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pipviewer-0.3.9-5.fc10
Comment 14 Fedora Update System 2009-02-27 18:24:46 EST
pipviewer-0.3.9-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pipviewer-0.3.9-5.fc9
Comment 15 Fedora Update System 2009-03-04 11:28:37 EST
pipviewer-0.3.9-5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update pipviewer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2344
Comment 16 Fedora Update System 2009-03-04 11:28:45 EST
pipviewer-0.3.9-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pipviewer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2345
Comment 17 Fedora Update System 2009-03-09 18:55:27 EDT
pipviewer-0.3.9-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-03-09 18:57:37 EDT
pipviewer-0.3.9-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.